{{- if .Site.IsServer -}}
themes/layouts/partials/header/base.html
{{- end -}}
{{- $named_header_image := "header" -}}
{{- $first_image := default "" (index (default (slice nil) .Params.images) 0) -}}
{{- $src_image := default "" .Params.image.src -}}
{{- $header_image := .Resources.GetMatch $src_image | default (.Resources.GetMatch $first_image) | default (.Resources.GetMatch $named_header_image) -}}
<!-- Hero -->
<header class="hero has-background-white-bis">
    {{ partial "header/nav.html" . }}
    <!-- Hero Body -->
    <div class="hero-body">
        <!-- Container -->
        <div class="container">
            <!-- Columns -->
            <div class="columns is-vcentered">
                <!-- Text Column -->
                <div class='column{{ if $header_image }} is-half{{ end }}'>
                    {{- partial "page/breadcrumb.html" . -}}
                    <h1 class="title is-3">
                        {{ .Title | title }}
                    </h1>
                    <div class="subtitle is-5">
                        {{ .Description }}
                    </div>
                    <!-- Page info -->
                    {{ if (or .Params.authors .Params.tags) }}
                    <div class="level">
                        <div class="level-left">
                            <div class="level-item">
                                <p>{{ partial "header/author-link.html" . }}</p>
                            </div>
                        </div>
                        <div class="level-right">
                            <div class="level-item">
                                {{ range .Params.tags }}
                                <span class="tag squared is-outlined">{{ . | upper }}</span>
                                {{ end }}
                            </div>
                        </div>
                    </div>
                    {{ end }}
                    <!-- /Page info -->
                    {{ partial "page/socialicons.html" . }}
                    {{- with (.Resources.GetMatch "index.ipynb") -}}
                    <a class="button btn-outlined is-bold btn-align light-btn raised" href="{{ .Permalink }}"
                        download><i class="im im-icon-File-Download"></i> Download Notebook</a>
                    {{- end -}}
                </div>
                <!-- /Text Column -->
                {{- with $header_image -}}
                <!-- Image Column -->
                <div class="column is-half">
                    <div class="columns is-centered">
                        <div class="column is-two-thirds">
                            {{ partial "page/image.html" (dict "resource" . )}}
                        </div>
                    </div>
                </div>
                <!-- /Image Column -->
                {{- end -}}
            </div>
            <!-- /Columns -->
        </div>
        <!-- /Container -->
    </div>
    <!-- /Hero Body -->
</header>
<!-- /Hero -->
<!-- TODO: Author image/bio -->